# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/62539b2c-4836-4995-5fce-1c3e7a385f03/volume/rsync-recipes/scikit-learn-0.20.0-python_3.7-blas_impl_openblas-on-osx, last modified Thu Sep 27 08:47:40 2018
# ------------------------------------------------

package:
    name: scikit-learn
    version: 0.20.0
source:
    fn: scikit-learn-0.20.0.tar.gz
    patches:
        - 0001-reduce-precision-of-almost_equal-in-test_graph_lasso.patch
        - remove_nested_parallelism_in_mean_shift.patch
    sha256: 6f0e84931af697d7c2841ccdf50110f69cc964788f503e2f43eeaf0240482dc0
    url: https://github.com/scikit-learn/scikit-learn/archive/0.20.0.tar.gz
build:
    number: '1'
    script: python setup.py install --single-version-externally-managed --record=record.txt
    string: py37hebd9d1a_1
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - clangxx 4.0.1 hc9b4283_0
        - clangxx_osx-64 4.0.1 h22b1bf0_11
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - blas 1.0 openblas
        - ca-certificates 2018.03.07 0
        - certifi 2018.8.24 py37_1
        - cython 0.28.5 py37h0a44026_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1.20170329 hb402a30_2
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libopenblas 0.3.3 hdc02c5d_3
        - ncurses 6.1 h0a44026_0
        - nomkl 3.0 0
        - numpy-base 1.11.3 py37ha711998_10
        - numpy-devel 1.11.3 py37h008b2eb_10
        - openblas-devel 0.3.3 3
        - openssl 1.0.2p h1de35cc_0
        - python 3.7.0 hc167b69_0
        - readline 7.0 h1de35cc_5
        - setuptools 40.2.0 py37_0
        - sqlite 3.24.0 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - blas * openblas
        - libcxx >=4.0.1
        - libopenblas >=0.3.3,<1.0a0
        - numpy >=1.11.3,<2.0a0
        - python >=3.7,<3.8.0a0
        - scipy
test:
    commands:
        - pytest --showlocals --durations=20 --pyargs sklearn
    imports:
        - sklearn
    requires:
        - pytest
about:
    home: http://scikit-learn.org/
    license: BSD 3-Clause
    license_file: COPYING
    summary: A set of python modules for machine learning and data mining
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - amueller
        - astaric
        - jakirkham
        - lesteve
        - msarahan
        - ocefpaf
        - ogrisel
